Skip to content

Get suggestions via GET

Request

Retrieves a paginated list of suggestions for the user, using query parameters for location filter criteria.

Query
pageinteger, (int32)required

Page number (zero-based)

Default:0
pageSizeinteger, (int32)required

Number of suggestions per page

Default:10
locationIdsstring or null

Comma-separated location IDs to filter by

businessIdsstring or null

Comma-separated business IDs to filter by

locationGroupIdsstring or null

Comma-separated location group IDs to filter by

labelsstring or null

Comma-separated labels to filter by

excludedLocationIdsstring or null

Comma-separated location IDs to exclude

excludedBusinessIdsstring or null

Comma-separated business IDs to exclude

excludedLocationGroupIdsstring or null

Comma-separated location group IDs to exclude

excludedLabelsstring or null

Comma-separated labels to exclude

productsstring or null

Comma-separated list of product filters

filterCategorystring or null

Filter strategy to apply: location-groups, labels, business, or location

querystring or null

Search query string depending on filter category

curl -i -X GET \
  'https://uberall.com/api/home/suggestions?page=0&pageSize=10&locationIds=string&businessIds=string&locationGroupIds=string&labels=string&excludedLocationIds=string&excludedBusinessIds=string&excludedLocationGroupIds=string&excludedLabels=string&products=string&filterCategory=string&query=string'

Responses

Successfully retrieved suggestions

Bodyapplication/json
suggestionsArray of objectsrequired

List of suggestions

pageinteger, (int32)

Current page number

Example:0
pageSizeinteger, (int32)

Number of items per page

Example:10
sizeinteger, (int32)

Number of items in the current page

Example:10
totalCountinteger, (int64)

Total number of suggestions

Example:25
Response
{ "suggestions": [ {} ], "page": 0, "pageSize": 10, "size": 10, "totalCount": 25 }